var _jsxFileName = "/Users/lgm/Projects/talentui/bootstrap-react/src/index.jsx";
import React from "react";
import { render } from "react-dom";
import { HashRouter as Router, Route } from "react-router-dom";
import { Provider } from "react-redux";
import composeReducer from "./compose-reducers";
import config from '_/src/app-config'; //import from local file

import PageProxy from "./page-proxy";
import configureStore from "./configure-store";
import reducer from "_/src/reducers";
var store = configureStore(reducer);
var mountTarget = config.el || 'bsMain';

if (typeof mountTarget === 'string') {
  mountTarget = document.getElementById(mountTarget);
}

var bootstrap = function bootstrap(node) {
  render(React.createElement(Provider, {
    store: store,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23
    },
    __self: this
  }, React.createElement(Router, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24
    },
    __self: this
  }, React.createElement(Route, {
    path: "*",
    component: PageProxy,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25
    },
    __self: this
  }))), node);
};

bootstrap(mountTarget);

if (module.hot) {
  module.hot.accept("./page-proxy", function () {
    bootstrap(mountTarget);
  });
  module.hot.accept("_/src/reducers", function () {
    var reducer = require("_/src/reducers").default;

    store.replaceReducer(composeReducer(reducer));
  });
}